com.android.agf.fragments

## Class DashboardFragment.MyShare

- java.lang.Object
- - android.os.AsyncTask<String,Void,ArrayList<DashComponent>>
  - - com.android.agf.asynctask.ShareDashboard
    - - com.android.agf.fragments.DashboardFragment.MyShare

- Enclosing class:
    DashboardFragment

       class DashboardFragment.MyShare
      extends ShareDashboard

  classe local que estend del asynctask de compartir dashboard
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class com.android.agf.asynctask.ShareDashboard

      `mDash`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DashboardFragment.MyShare(Context ctx, Dashboard d)` constructor, creacio dialeg progress

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onPostExecute(ArrayList<DashComponent> components)` generacio del fitxer json apartir del llistat de dades
    `protected void` | `onPreExecute()` inici dialeg progress

    - ### Methods inherited from class com.android.agf.asynctask.ShareDashboard

      `doInBackground`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DashboardFragment.MyShare

          public DashboardFragment.MyShare(Context ctx,
                                   Dashboard d)

      constructor, creacio dialeg progress
      Parameters:
        `ctx` -
        `d` -

  - ### Method Detail

    - #### onPreExecute

          protected void onPreExecute()

      inici dialeg progress
      Overrides:
        `onPreExecute` in class `AsyncTask<String,Void,ArrayList<DashComponent>>`

    - #### onPostExecute

          protected void onPostExecute(ArrayList<DashComponent> components)

      generacio del fitxer json apartir del llistat de dades
      Overrides:
        `onPostExecute` in class `AsyncTask<String,Void,ArrayList<DashComponent>>`